Skip to main content
GET
/
v1
/
organizations
/
{organization_id}
/
ledgers
/
{ledger_id}
/
transactions
List Transactions
curl --request GET \
  --url https://ledger.sandbox.lerian.net/v1/organizations/{organization_id}/ledgers/{ledger_id}/transactions \
  --header 'Authorization: Bearer <token>'
{
  "items": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "parentTransactionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "ledgerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "description": "<string>",
      "route": "<string>",
      "routeId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "status": {
        "code": "<string>",
        "description": "<string>"
      },
      "amount": "<string>",
      "assetCode": "<string>",
      "chartOfAccountsGroupName": "<string>",
      "source": [
        "<string>"
      ],
      "destination": [
        "<string>"
      ],
      "createdAt": "2023-11-07T05:31:56Z",
      "updatedAt": "2023-11-07T05:31:56Z",
      "deletedAt": "2023-11-07T05:31:56Z",
      "operations": [
        {
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "transactionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "ledgerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "accountId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "accountAlias": "<string>",
          "balanceId": "<string>",
          "balanceKey": "<string>",
          "description": "<string>",
          "type": "CREDIT",
          "assetCode": "<string>",
          "chartOfAccounts": "<string>",
          "route": "<string>",
          "routeId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "routeCode": "<string>",
          "routeDescription": "<string>",
          "direction": "debit",
          "amount": {
            "value": "<string>"
          },
          "balance": {
            "available": "<string>",
            "onHold": "<string>",
            "version": 123
          },
          "balanceAfter": {
            "available": "<string>",
            "onHold": "<string>",
            "version": 123
          },
          "status": {
            "code": "<string>",
            "description": "<string>"
          },
          "balanceAffected": true,
          "createdAt": "2023-11-07T05:31:56Z",
          "updatedAt": "2023-11-07T05:31:56Z",
          "deletedAt": "2023-11-07T05:31:56Z",
          "metadata": {}
        }
      ],
      "metadata": {}
    }
  ],
  "next_cursor": "<string>",
  "prev_cursor": "<string>",
  "limit": 123
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

Authorization
string

The authorization token. This header is required if your environment has Access Manager enabled.

X-Request-Id
string<uuid>

A unique identifier used to trace and track each request.

Path Parameters

organization_id
string
required

The unique identifier of the Organization associated with the Ledger.

ledger_id
string
required

The unique identifier of the associated Ledger.

Query Parameters

limit
string
required

The maximum number of items to include in the response.

metadata.message
string
required

The message that will be used as metadata.

start_date
string

The beginning of the period you want to retrieve. You must also include the end_date.

end_date
string

The end of the period you want to retrieve. You must also include the start_date.

sort_order
enum<enum>

The order used to sort the results.

Available options:
asc,
desc
cursor
string

An encoded cursor token from a previous response (next_cursor or prev_cursor) to navigate forward or backward through results.

Response

Indicates that the request was successful and the response contains the expected data.

items
object[]
next_cursor
string

Encoded cursor pointing to the next page of results.

prev_cursor
string

Encoded cursor pointing to the previous page of results.

limit
integer

The maximum number of items included in the response.